    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.EventQueue

    java.lang.Object
       |
       +----java.awt.EventQueue

public class EventQueue
extends Object

EventQueue is a platform-independent class that queues events, both from the underlying peer classes and from trusted application classes. There is only one EventQueue for the system.

##

EventQueue()

##

getNextEvent()
  Remove an event from the queue and return it.
peekEvent()
  Return the first event without removing it.
peekEvent(int)
postEvent(AWTEvent)
  Post a 1.1-style event to the EventQueue.

##

EventQueue

     public EventQueue()

##

postEvent

     public synchronized void postEvent(AWTEvent theEvent)

  Post a 1.1-style event to the EventQueue.

  Parameters:
    theEvent - an instance of java.awt.AWTEvent, or a subclass of it.

getNextEvent

     public synchronized AWTEvent getNextEvent() throws InterruptedException

  Remove an event from the queue and return it. This method will block until an event has been posted by another thread.

  Returns:
    the next AWTEvent
  Throws: InterruptedException
    if another thread has interrupted this thread.

peekEvent

     public synchronized AWTEvent peekEvent()

  Return the first event without removing it.

  Returns:
    the first event, which is either an instance of java.awt.Event or java.awt.AWTEvent.

peekEvent

     public synchronized AWTEvent peekEvent(int id)

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.